Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonApprovalCommnet.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonApprovalCommnet.cs	(revision 251)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonApprovalCommnet.cs	(revision 252)
@@ -67,19 +67,20 @@
         private string CreateSelectSQL()
         {
             // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-            string strcmd = "SELECT";
-            strcmd += " PersonCode";
-            strcmd += ",ApprovalCode";
-            strcmd += ",DATE_FORMAT(OrderDate, '%Y/%m/%d')";
-            strcmd += ",OrderNo";
-            strcmd += ",CommentNo";
-            strcmd += ",ParentNo";
-            strcmd += ",ApproValComment";
-            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " FROM PersonApprovalComment";
+            StringBuilder strcmd = new StringBuilder();
+            strcmd.Append("SELECT");
+            strcmd.Append(" PersonCode");
+            strcmd.Append(",ApprovalCode");
+            strcmd.Append(",DATE_FORMAT(OrderDate, '%Y/%m/%d')");
+            strcmd.Append(",OrderNo");
+            strcmd.Append(",CommentNo");
+            strcmd.Append(",ParentNo");
+            strcmd.Append(",ApproValComment");
+            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" FROM PersonApprovalComment");
 
-            return strcmd;
+            return strcmd.ToString();
         }
         #endregion
 
@@ -94,16 +95,17 @@
         public bool SelectAction(string AddSQLString, ref List<PersonApprovalComment> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -117,7 +119,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -135,16 +137,17 @@
         public bool SelectAction(string AddSQLString, ref PersonApprovalComment data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 if (arData.Count == 0) return false;
 
                 // データセット
@@ -155,7 +158,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -170,48 +173,48 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<PersonApprovalComment> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO PersonApprovalComment";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO PersonApprovalComment");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(ColumnName)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (PersonApprovalComment work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("  {0}", work.PersonCode.ToString());
-                    strcmd += string.Format(", {0}", work.ApprovalCode.ToString());
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", work.OrderDate.ToShortDateString());
-                    strcmd += string.Format(", {0}", work.OrderNo.ToString());
-                    strcmd += string.Format(", {0}", work.CommentNo.ToString());
-                    strcmd += string.Format(", {0}", work.ParentNo.ToString());
-                    strcmd += string.Format(", '{0}'", work.ApproValComment.ToString());
+                    strcmd.AppendFormat("  {0}", work.PersonCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.ApprovalCode.ToString());
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", work.OrderDate.ToShortDateString());
+                    strcmd.AppendFormat(", {0}", work.OrderNo.ToString());
+                    strcmd.AppendFormat(", {0}", work.CommentNo.ToString());
+                    strcmd.AppendFormat(", {0}", work.ParentNo.ToString());
+                    strcmd.AppendFormat(", '{0}'", work.ApproValComment.ToString());
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -226,41 +229,41 @@
         /// <returns></returns>
         public bool InsertAction(PersonApprovalComment data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = "INSERT INTO PersonApprovalComment";
+                strcmd.Append("INSERT INTO PersonApprovalComment");
 
-                strcmd += " (";
+                strcmd.Append(" (");
                 bool bFirst = true;
                 foreach (var gender in Enum.GetValues(typeof(ColumnName)))
                 {
-                    if (!bFirst) strcmd += " ,";
-                    strcmd += gender.ToString();
+                    if (!bFirst) strcmd.Append(" ,");
+                    strcmd.Append(gender.ToString());
                     bFirst = false;
                 }
 
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
-                strcmd += string.Format("  {0}", data.PersonCode.ToString());
-                strcmd += string.Format(", {0}", data.ApprovalCode.ToString());
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.OrderDate.ToShortDateString());
-                strcmd += string.Format(", {0}", data.OrderNo.ToString());
-                strcmd += string.Format(", {0}", data.CommentNo.ToString());
-                strcmd += string.Format(", {0}", data.ParentNo.ToString());
-                strcmd += string.Format(", '{0}'", data.ApproValComment.ToString());
+                strcmd.AppendFormat("  {0}", data.PersonCode.ToString());
+                strcmd.AppendFormat(", {0}", data.ApprovalCode.ToString());
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", data.OrderDate.ToShortDateString());
+                strcmd.AppendFormat(", {0}", data.OrderNo.ToString());
+                strcmd.AppendFormat(", {0}", data.CommentNo.ToString());
+                strcmd.AppendFormat(", {0}", data.ParentNo.ToString());
+                strcmd.AppendFormat(", '{0}'", data.ApproValComment.ToString());
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -275,32 +278,32 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, PersonApprovalComment data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE PersonApprovalComment";
+                strcmd.Append("UPDATE PersonApprovalComment");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" PersonCode = {0}", data.PersonCode.ToString());
-                strcmd += string.Format(",ApprovalCode = {0}", data.ApprovalCode.ToString());
-                strcmd += string.Format(",OrderDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.OrderDate.ToShortDateString());
-                strcmd += string.Format(",OrderNo = {0}", data.OrderNo.ToString());
-                strcmd += string.Format(",CommentNo = {0}", data.CommentNo.ToString());
-                strcmd += string.Format(",ParentNo = {0}", data.ParentNo.ToString());
-                strcmd += string.Format(",ApproValComment = '{0}'", data.ApproValComment.ToString());
+                strcmd.AppendFormat(" PersonCode = {0}", data.PersonCode.ToString());
+                strcmd.AppendFormat(",ApprovalCode = {0}", data.ApprovalCode.ToString());
+                strcmd.AppendFormat(",OrderDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.OrderDate.ToShortDateString());
+                strcmd.AppendFormat(",OrderNo = {0}", data.OrderNo.ToString());
+                strcmd.AppendFormat(",CommentNo = {0}", data.CommentNo.ToString());
+                strcmd.AppendFormat(",ParentNo = {0}", data.ParentNo.ToString());
+                strcmd.AppendFormat(",ApproValComment = '{0}'", data.ApproValComment.ToString());
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -316,18 +319,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM PersonApprovalComment", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM PersonApprovalComment", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -340,47 +343,47 @@
         /// <returns></returns>
         public bool UpdateFeild(int PersonCode, int ApprovalCode, DateTime OrderDate, int FeildNo, object value, bool bConnect = true, int OrderNo = 0, int CommentNo = 0)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = "UPDATE PersonApprovalComment";
+                strcmd.Append("UPDATE PersonApprovalComment");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
                 switch (FeildNo)
                 {
                     case (int)ColumnName.PersonCode:
-                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" ConstructionCode = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.ApprovalCode:
-                        strcmd += string.Format(" ApprovalCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" ApprovalCode = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.OrderDate:
-                        strcmd += string.Format(" OrderDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        strcmd.AppendFormat(" OrderDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                     case (int)ColumnName.OrderNo:
-                        strcmd += string.Format(" OrderNo = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" OrderNo = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.CommentNo:
-                        strcmd += string.Format(" CommentNo = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" CommentNo = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.ParentNo:
-                        strcmd += string.Format(" ParentNo = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" ParentNo = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.ApproValComment:
-                        strcmd += string.Format(" ApproValComment = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ApproValComment = '{0}'", value.ToString());
                         break;
                 }
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += CreatePrimarykeyString(PersonCode, ApprovalCode, OrderDate, OrderNo, CommentNo);
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(CreatePrimarykeyString(PersonCode, ApprovalCode, OrderDate, OrderNo, CommentNo));
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -427,23 +430,23 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int PersonCode, int ApprovalCode, DateTime OrderDate, int OrderNo = 0, int CommentNo = 0, string APara = "")
         {
-            string strWork = string.Empty;
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where {0}PersonCode = {1}", APara, PersonCode.ToString());
-                strWork += string.Format(" And {0}ApprovalCode = {1}", APara, ApprovalCode.ToString());
-                strWork += string.Format(" And {0}OrderDate = STR_TO_DATE('{1}','%Y/%m/%d')", APara, OrderDate.ToShortDateString());
+                strWork.AppendFormat(" Where {0}PersonCode = {1}", APara, PersonCode.ToString());
+                strWork.AppendFormat(" And {0}ApprovalCode = {1}", APara, ApprovalCode.ToString());
+                strWork.AppendFormat(" And {0}OrderDate = STR_TO_DATE('{1}','%Y/%m/%d')", APara, OrderDate.ToShortDateString());
                 if (OrderNo != 0)
-                    strWork += string.Format(" And {0}OrderNo = {1}", APara, OrderNo.ToString());
+                    strWork.AppendFormat(" And {0}OrderNo = {1}", APara, OrderNo.ToString());
                 if (CommentNo != 0)
-                    strWork += string.Format(" And {0}CommentNo = {1}", APara, CommentNo.ToString());
+                    strWork.AppendFormat(" And {0}CommentNo = {1}", APara, CommentNo.ToString());
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
 
@@ -455,16 +458,16 @@
         public int MaxCommentNoCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(CommentNo), 0) FROM PersonApprovalComment" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(CommentNo), 0) FROM PersonApprovalComment{0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 object[] wrkobj = (object[])arData[0];
@@ -472,7 +475,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
             return iRet;
         }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialCountEntry/FrmMaterialCountEntry.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialCountEntry/FrmMaterialCountEntry.cs	(revision 251)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialCountEntry/FrmMaterialCountEntry.cs	(revision 252)
@@ -110,7 +110,6 @@
         }
         #endregion
 
-
         #region プロパティ
 
         /// <summary>
@@ -165,9 +164,6 @@
         }
         #endregion
 
-
-
-
         #region イベントメソッド
 
         /// <summary>
@@ -419,7 +415,7 @@
 
         #endregion
 
-
+        #region 登録ボタン押下
         /// <summary>
         /// 登録ボタン押下
         /// </summary>
@@ -455,7 +451,9 @@
             }
 
         }
+        #endregion
 
+        #region データ登録
         /// <summary>
         /// データ登録
         /// </summary>
@@ -645,7 +643,9 @@
 
             return true;
         }
+        #endregion
 
+        #region 追加フォーカス移動
         /// <summary>
         /// 追加フォーカス移動
         /// </summary>
@@ -672,7 +672,9 @@
                 }
             }
         }
+        #endregion
 
+        #region 破棄フォーカス移動
         /// <summary>
         /// 破棄フォーカス移動
         /// </summary>
@@ -699,7 +701,9 @@
                 }
             }
         }
+        #endregion
 
+        #region 資材履歴ボタン押下時の処理
         /// <summary>
         /// 資材履歴ボタン押下時の処理
         /// </summary>
@@ -732,7 +736,7 @@
             }
 
         }
+        #endregion
 
-
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.cs	(revision 251)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.cs	(revision 252)
@@ -62,7 +62,7 @@
         }
         #endregion
 
-        #region enum
+        #region 表示カラム
         private enum DataColumn
         {
             MaterialKindCode = 0,
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs	(revision 251)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs	(revision 252)
@@ -182,7 +182,9 @@
                 // 当月を作成する
                 string ToMonth = string.Format("{0}/{1}", DateTime.Now.Year, DateTime.Now.Month.ToString("00"));
                 // 当月を追加するかの判断
-                if (arList.Count == 0 || !DataList[DataList.Count - 1].Key.Equals(ToMonth))
+                string FirstStrring = string.Empty;
+                if (DataList.Count > 0) FirstStrring = DataList[DataList.Count - 1].Key;
+                if (arList.Count == 0 || !FirstStrring.Equals(ToMonth))
                 {
                     KeyValuePair<string, string> keyval = new KeyValuePair<string, string>(ToMonth, (ToMonth.ToString().Replace("/", "年") + "月"));
                     DataList.Add(keyval);
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialHistory.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialHistory.cs	(revision 251)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialHistory.cs	(revision 252)
@@ -128,7 +128,6 @@
         }
         #endregion
 
-
         #region プロパティ
 
         /// <summary>
@@ -177,8 +176,7 @@
 
         #endregion
 
-
-        #region イベントメソッド
+        #region ×ボタン押下処理
         /// <summary>
         /// ×ボタン押下処理
         /// </summary>
@@ -197,6 +195,9 @@
             // 前プロセスに戻る
             ClsExcute.BackProcess();
         }
+        #endregion
+
+        #region 終了ボタン押下
         /// <summary>
         /// 終了ボタン押下
         /// </summary>
@@ -206,7 +207,9 @@
         {
             this.Close();
         }
+        #endregion
 
+        #region フォームロード
         /// <summary>
         /// フォームロード
         /// </summary>
@@ -222,7 +225,9 @@
             this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
 
         }
+        #endregion
 
+        #region 行データクリア
         /// <summary>
         /// 行データクリア
         /// </summary>
@@ -231,7 +236,9 @@
         {
             // クリアデータセット
         }
+        #endregion
 
+        #region グリッド採番処理
         /// <summary>
         /// グリッド採番処理
         /// </summary>
@@ -247,11 +254,9 @@
                     r.Cells[(int)DispColumn.DisplayOrder].Value = "0";
             }
         }
-        
-
         #endregion
 
-        #region プライベートメソッド
+        #region 初期表示処理
         /// <summary>
         /// 初期表示処理
         /// </summary>
@@ -306,6 +311,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region 資材一覧表示
         /// <summary>
         /// 資材一覧表示
         /// </summary>
@@ -383,7 +391,9 @@
             }
             return true;
         }
+        #endregion
 
+        #region グリッド最終行での処理
         /// <summary>
         /// グリッド最終行での処理
         /// </summary>
@@ -405,6 +415,9 @@
 
             }
         }
+        #endregion
+
+        #region 資材数が0の資材も表示するボタン押下による表示制御処理
         /// <summary>
         /// 資材数が0の資材も表示するボタン押下による表示制御処理
         /// </summary>
@@ -412,6 +425,9 @@
         {
 
         }
+        #endregion
+
+        #region 資材数変更ボタン押下
         /// <summary>
         /// 資材数変更ボタン押下
         /// </summary>
@@ -445,6 +461,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region 資材履歴ボタン押下時の処理
         /// <summary>
         /// 資材履歴ボタン押下時の処理
         /// </summary>
@@ -479,8 +498,5 @@
         }
         #endregion
 
-
-
-
     }
 }
\ No newline at end of file
